> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete promotion code

> Delete an existing promotion code.



## OpenAPI

````yaml delete /v1/promotion-codes/{id}
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/promotion-codes/{id}:
    delete:
      tags:
        - Coupons > Promotion codes
      summary: Delete promotion code
      description: Delete an existing promotion code.
      operationId: deletePromotionCode
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      responses:
        '204':
          description: Promotion code deleted
        '404':
          description: Promotion code not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````